#!/bin/bash
echo delete old files
rm -f *.o
echo Compiling c subroutines
nvcc -ccbin /usr/bin   -gencode arch=compute_13,code=sm_13  -O3 -c  -o cmain.cu.o cmain.cu
echo Compiling fortran subroutines
ifort -c  -fpp -O3 fmain.f90 randgen.f
echo Linking files
ifort -o test.exe fmain.o randgen.o cmain.cu.o -lgcc   -L/usr/local/cuda/lib64/ -lcuda -lcudart
